Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class ILAENV

    java.lang.Object
      org.netlib.lapack.ILAENV

    public class ILAENV

extends java.lang.Object

    ILAENV is a simplified interface to the JLAPACK routine ilaenv.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  ILAENV is called from the LAPACK routines to choose problem-dependent
     *  parameters for the local environment.  See ISPEC for a description of
     *  the parameters.
     *
     *  ILAENV returns an INTEGER
     *  if ILAENV >= 0: ILAENV returns the value of the parameter specified b
     *  if ILAENV < 0:  if ILAENV = -k, the k-th argument had an illegal valu
     *
     *  This version provides a set of parameters which should give good,
     *  but not optimal, performance on many of the currently available
     *  computers.  Users are encouraged to modify this subroutine to set
     *  the tuning parameters for their particular machine using the option
     *  and problem size information in the arguments.
     *
     *  This routine will not function correctly if it is converted to all
     *  lower case.  Converting it to all upper case is allowed.
     *
     *  Arguments
     *  =========
     *
     *  ISPEC   (input) INTEGER
     *          Specifies the parameter to be returned as the value of
     *          ILAENV.
     *          = 1: the optimal blocksize; if this value is 1, an unblocked

     *               algorithm will give the best performance.
     *          = 2: the minimum block size for which the block routine
     *               should be used; if the usable block size is less than
     *               this value, an unblocked routine should be used.
     *          = 3: the crossover point (in a block routine, for N less
     *               than this value, an unblocked routine should be used)
     *          = 4: the number of shifts, used in the nonsymmetric
     *               eigenvalue routines (DEPRECATED)
     *          = 5: the minimum column dimension for blocking to be used;
     *               rectangular blocks must have dimension at least k by m,

     *               where k is given by ILAENV(2,...) and m by ILAENV(5,...)
     *          = 6: the crossover point for the SVD (when reducing an m by n
     *               matrix to bidiagonal form, if max(m,n)/min(m,n) exceeds

     *               this value, a QR factorization is used first to reduce
     *               the matrix to a triangular form.)
     *          = 7: the number of processors
     *          = 8: the crossover point for the multishift QR method
     *               for nonsymmetric eigenvalue problems (DEPRECATED)
     *          = 9: maximum size of the subproblems at the bottom of the
     *               computation tree in the divide-and-conquer algorithm
     *               (used by xGELSD and xGESDD)
     *          =10: ieee NaN arithmetic can be trusted not to trap
     *          =11: infinity arithmetic can be trusted not to trap
     *          12 <= ISPEC <= 16:
     *               xHSEQR or one of its subroutines,
     *               see IPARMQ for detailed explanation
     *
     *  NAME    (input) CHARACTER*(*)
     *          The name of the calling subroutine, in either upper case or
     *          lower case.
     *
     *  OPTS    (input) CHARACTER*(*)
     *          The character options to the subroutine NAME, concatenated
     *          into a single character string.  For example, UPLO = 'U',
     *          TRANS = 'T', and DIAG = 'N' for a triangular routine would
     *          be specified as OPTS = 'UTN'.
     *
     *  N1      (input) INTEGER
     *  N2      (input) INTEGER
     *  N3      (input) INTEGER
     *  N4      (input) INTEGER
     *          Problem dimensions for the subroutine NAME; these may not all
     *          be required.
     *
     *  Further Details
     *  ===============
     *
     *  The following conventions have been used when calling ILAENV from the
     *  LAPACK routines:
     *  1)  OPTS is a concatenation of all of the character options to
     *      subroutine NAME, in the same order that they appear in the
     *      argument list for NAME, even if they are not used in determining

     *      the value of the parameter specified by ISPEC.
     *  2)  The problem dimensions N1, N2, N3, N4 are specified in the order

     *      that they appear in the argument list for NAME.  N1 is used
     *      first, N2 second, and so on, and unused problem dimensions are
     *      passed a value of -1.
     *  3)  The parameter value returned by ILAENV is checked for validity in
     *      the calling subroutine.  For example, ILAENV is used to retrieve

     *      the optimal blocksize for STRTRI as follows:
     *
     *      NB = ILAENV( 1, 'STRTRI', UPLO // DIAG, N, -1, -1, -1 )
     *      IF( NB.LE.1 ) NB = MAX( 1, N )
     *
     *  =====================================================================
     *
     *     .. Local Scalars ..

Constructor Summary
`ILAENV()`

Method Summary
`static int` | `ILAENV(int ispec, java.lang.String name, java.lang.String opts, int n1, int n2, int n3, int n4)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ILAENV

    public ILAENV()

Method Detail

### ILAENV

    public static int ILAENV(int ispec,
                             java.lang.String name,
                             java.lang.String opts,
                             int n1,
                             int n2,
                             int n3,
                             int n4)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD